%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% This is the file makevp.mk, part of the MathKit package
%% (version 0.7, January , 1998) for math font 
%% generation.  (Author: Alan Hoenig, ajhjj@cunyvm.cuny.edu)
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% This template file for MathKit helps make the fontinst installation
%%% script for creating virtual fonts.

\input fontinst.sty

%% AFMs we need...

%%  ROMAN: <fam>r8a  <fam>r8x  <fam>ri8a  <fam>ri8x
[b]%%  BOLD:  <fam>b8a  <fam>b8x  <fam>bi8a  <fam>bi8x

%% THE FONTINST COMMANDS FOLLOW...

\transformfont{<fam>r8r}{\reencodefont{8r}{\fromafm{<fam>r8a}}}
\transformfont{<fam>ri8r}{\reencodefont{8r}{\fromafm{<fam>ri8a}}}
[b]\transformfont{<fam><b>8r}{\reencodefont{8r}{\fromafm{<fam><b>8a}}}
[b]\transformfont{<fam><b>i8r}{\reencodefont{8r}{\fromafm{<fam><b>i8a}}}

\installfonts
  \installfamily{<encoding>}{<mock><fam>}{}
  \installfamily{OML}{<mock><fam>}{\skewchar\font=127}
%% Math Roman...
  \installfont{<fam>r<m><enc>tc}{<fam>r<enct>,dotlessj,greekoff,<mock>r12,<hax>rrx}%
    {<encoding>}{<encoding>}{<mock><fam>}{m}{n}{<12>}
  \installfont{<fam>r<m><enc>t}{<fam>r<enct>,dotlessj,greekoff,<mock>r10,<hax>rrx}%
    {<encoding>}{<encoding>}{<mock><fam>}{m}{n}{<10>}
  \installfont{<fam>r<m><enc>t9}{<fam>r<enct>,dotlessj,greekoff,<mock>r9,<hax>rrx}%
    {<encoding>}{<encoding>}{<mock><fam>}{m}{n}{<9>}
  \installfont{<fam>r<m><enc>t7}{<fam>r<enct>,dotlessj,greekoff,<mock>r7,<hax>rrx}%
    {<encoding>}{<encoding>}{<mock><fam>}{m}{n}{<7>}
  \installfont{<fam>r<m><enc>t5}{<fam>r<enct>,dotlessj,greekoff,<mock>r5,<hax>rrx}%
    {<encoding>}{<encoding>}{<mock><fam>}{m}{n}{<5>}
%% Math Italic...
  \installfont{<fam>r<m>7mc}{<hax>riw,<mock>mi12,alphoff,<fam>ri<enct>,dotlessj,<hax>rix}%
    {OML}{OML}{<mock><fam>}{m}{it}{<12>}
  \installfont{<fam>r<m>7m}{<hax>riw,<mock>mi10,alphoff,<fam>ri<enct>,dotlessj,<hax>rix}%
    {OML}{OML}{<mock><fam>}{m}{it}{<10>}
  \installfont{<fam>r<m>7m9}{<hax>riw,<mock>mi9,alphoff,<fam>ri<enct>,dotlessj,<hax>rix}%
    {OML}{OML}{<mock><fam>}{m}{it}{<9>}
  \installfont{<fam>r<m>7m7}{<hax>riw,<mock>mi7,alphoff,<fam>ri<enct>,dotlessj,<hax>rix}%
    {OML}{OML}{<mock><fam>}{m}{it}{<7>}
  \installfont{<fam>r<m>7m5}{<hax>riw,<mock>mi5,alphoff,<fam>ri<enct>,dotlessj,<hax>rix}%
    {OML}{OML}{<mock><fam>}{m}{it}{<5>}
[b]%% Math Roman Bold...
[b]  \installfont{<fam><b><m><enc>tc}{<fam><b><enct>,dotlessj,greekoff,<mock>bx12,<hax>brx}%
[b]    {<encoding>}{<encoding>}{<mock><fam>}{<bseries>}{n}{<12>}
[b]  \installfont{<fam><b><m><enc>t}{<fam><b><enct>,dotlessj,greekoff,<mock>bx10,<hax>brx}%
[b]    {<encoding>}{<encoding>}{<mock><fam>}{<bseries>}{n}{<10>}
[b]  \installfont{<fam><b><m><enc>t7}{<fam><b><enct>,dotlessj,greekoff,<mock>bx7,<hax>brx}%
[b]    {<encoding>}{<encoding>}{<mock><fam>}{<bseries>}{n}{<7>}
[b]  \installfont{<fam><b><m><enc>t5}{<fam><b><enct>,dotlessj,greekoff,<mock>bx5,<hax>brx}%
[b]    {<encoding>}{<encoding>}{<mock><fam>}{<bseries>}{n}{<5>}
[b]%% Math Bold Italic...
[b]  \installfont{<fam><b><m>7mc}{<hax>biw,<mock>mib12,alphoff,<fam><b>i<enct>,dotlessj,<hax>bix}%
[b]    {OML}{OML}{<mock><fam>}{<bseries>}{it}{<12>}
[b]  \installfont{<fam><b><m>7m}{<hax>biw,<mock>mib10,alphoff,<fam><b>i<enct>,dotlessj,<hax>bix}%
[b]    {OML}{OML}{<mock><fam>}{<bseries>}{it}{<10>}
[b]  \installfont{<fam><b><m>7m7}{<hax>biw,<mock>mib7,alphoff,<fam><b>i<enct>,dotlessj,<hax>bix}%
[b]    {OML}{OML}{<mock><fam>}{<bseries>}{it}{<7>}
[b]  \installfont{<fam><b><m>7m5}{<hax>biw,<mock>mib5,alphoff,<fam><b>i<enct>,dotlessj,<hax>bix}%
[b]    {OML}{OML}{<mock><fam>}{<bseries>}{it}{<5>}
\endinstallfonts

\bye
